Récupérer les erreurs pour un import spécifique
curl --request GET \
--url https://api.hubapi.com/crm/v3/imports/{importId}/errors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/v3/imports/{importId}/errors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/v3/imports/{importId}/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/v3/imports/{importId}/errors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/v3/imports/{importId}/errors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/crm/v3/imports/{importId}/errors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/v3/imports/{importId}/errors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"createdAt": 123,
"errorType": "AMBIGUOUS_ENUMERATION_OPTION",
"id": "<string>",
"sourceData": {
"additionalRowData": [
"<string>"
],
"containsEncryptedProperties": true,
"fileId": 123,
"lineNumber": 123,
"rowData": [
"<string>"
],
"pageName": "<string>"
},
"errorMessage": "<string>",
"extraContext": "<string>",
"invalidPropertyValue": {
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"maskedSubstrings": {
"substrings": [
{
"end": 123,
"label": "<string>",
"start": 123
}
]
},
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
},
"invalidValue": "<string>",
"invalidValueToDisplay": "<string>",
"knownColumnNumber": 123,
"objectType": "ABANDONED_CART",
"objectTypeId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Imports
Retrieve errors for a specific import
Récupère les fiches d’informations d’erreurs détaillées pour une opération d’import spécifique, ce qui vous permet d’identifier et de corriger les problèmes liés aux fiches d’informations qui ont échoué pendant le traitement.
GET
/
crm
/
v3
/
imports
/
{importId}
/
errors
Récupérer les erreurs pour un import spécifique
curl --request GET \
--url https://api.hubapi.com/crm/v3/imports/{importId}/errors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/v3/imports/{importId}/errors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/v3/imports/{importId}/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/v3/imports/{importId}/errors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/v3/imports/{importId}/errors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/crm/v3/imports/{importId}/errors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/v3/imports/{importId}/errors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"createdAt": 123,
"errorType": "AMBIGUOUS_ENUMERATION_OPTION",
"id": "<string>",
"sourceData": {
"additionalRowData": [
"<string>"
],
"containsEncryptedProperties": true,
"fileId": 123,
"lineNumber": 123,
"rowData": [
"<string>"
],
"pageName": "<string>"
},
"errorMessage": "<string>",
"extraContext": "<string>",
"invalidPropertyValue": {
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"maskedSubstrings": {
"substrings": [
{
"end": 123,
"label": "<string>",
"start": 123
}
]
},
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
},
"invalidValue": "<string>",
"invalidValueToDisplay": "<string>",
"knownColumnNumber": 123,
"objectType": "ABANDONED_CART",
"objectTypeId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
Paramètres de requête
Le jeton de curseur de pagination de la dernière ressource lue avec succès sera renvoyé en tant que propriété JSON paging.next.after d'une réponse paginée contenant plus de résultats.
Le nombre maximum de résultats à afficher par page.
Dernière modification le 1 avril 2026